Bug 972465 - "invalid regex -P ^(?!lib).*.so.*$" when running make glusterrpms on F18
"invalid regex -P ^(?!lib).*.so.*$" when running make glusterrpms on F18
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
mainline
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Niels de Vos
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-09 11:35 EDT by Justin Clift
Modified: 2015-07-13 00:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:02:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Clift 2013-06-09 11:35:54 EDT
Description of problem:

  Building the GlusterFS rpms on Fedora 18 x86_64 generates *many* warning
  messages about "Ignoring invalid regex -P ^(?!lib).*.so.*$"

  It doesn't break the rpm building, but this doesn't happen on RHEL/CentOS
  6.x, so indicates something that should be looked into at some point.


Version-Release number of selected component (if applicable):

  upstream GlusterFS git master as of Sun 9th June 2013.


How reproducible:

  Every time.


Steps to Reproduce:
1. Follow the official upstream GlusterFS rpm build steps.
2. On the "make glusterrpms" step, the warnings will be output towards the end, near rpm assembly

Actual results:

****************************************************
$ make glusterrpms
...
+ /usr/lib/rpm/brp-compress
+ /usr/lib/rpm/brp-strip /usr/bin/strip
+ /usr/lib/rpm/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
Processing files: glusterfs-3git-1.fc18.x86_64
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.hDqGOS
+ umask 022
+ cd /home/jc/glusterfs/extras/LinuxRPM/rpmbuild/BUILD
+ cd glusterfs-3git
+ DOCDIR=/home/jc/glusterfs/extras/LinuxRPM/rpmbuild/BUILDROOT/glusterfs-3git-1.fc18.x86_64/usr/share/doc/glusterfs-3git
+ export DOCDIR
+ /usr/bin/mkdir -p /home/jc/glusterfs/extras/LinuxRPM/rpmbuild/BUILDROOT/glusterfs-3git-1.fc18.x86_64/usr/share/doc/glusterfs-3git
+ cp -pr ChangeLog COPYING-GPLV2 COPYING-LGPLV3 INSTALL README THANKS /home/jc/glusterfs/extras/LinuxRPM/rpmbuild/BUILDROOT/glusterfs-3git-1.fc18.x86_64/usr/share/doc/glusterfs-3git
+ exit 0
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
Provides: config(glusterfs) = 3git-1.fc18 glusterfs = 3git-1.fc18 glusterfs(x86-64) = 3git-1.fc18 glusterfs-common = 3git-1.fc18 glusterfs-core = 3git-1.fc18 glusterfs-libs = 3git-1.fc18 libgfapi.so.0()(64bit) libgfrpc.so.0()(64bit) libgfxdr.so.0()(64bit) libglusterfs.so.0()(64bit)
Requires(interp): /bin/sh /bin/sh
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires(post): /bin/sh systemd-units
Requires(preun): systemd-units
Requires(postun): /bin/sh systemd-units
Requires: libc.so.6()(64bit) libc.so.6(GLIBC_2.14)(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3)(64bit) libc.so.6(GLIBC_2.3.2)(64bit) libc.so.6(GLIBC_2.3.4)(64bit) libcrypto.so.10()(64bit) libcrypto.so.10(libcrypto.so.10)(64bit) libdl.so.2()(64bit) libdl.so.2(GLIBC_2.2.5)(64bit) libgfapi.so.0()(64bit) libgfrpc.so.0()(64bit) libgfxdr.so.0()(64bit) libglusterfs.so.0()(64bit) libpthread.so.0()(64bit) libpthread.so.0(GLIBC_2.2.5)(64bit) libpthread.so.0(GLIBC_2.3.2)(64bit) libpython2.7.so.1.0()(64bit) libssl.so.10()(64bit) libssl.so.10(libssl.so.10)(64bit) rtld(GNU_HASH)
Obsoletes: hekafs <= 0.7 glusterfs-libs <= 2.0.0 glusterfs-common < 3git-1.fc18 glusterfs-core < 3git-1.fc18
Processing files: glusterfs-rdma-3git-1.fc18.x86_64
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
Provides: glusterfs-rdma = 3git-1.fc18 glusterfs-rdma(x86-64) = 3git-1.fc18
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: libc.so.6()(64bit) libc.so.6(GLIBC_2.14)(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libcrypto.so.10()(64bit) libdl.so.2()(64bit) libglusterfs.so.0()(64bit) libibverbs.so.1()(64bit) libibverbs.so.1(IBVERBS_1.0)(64bit) libibverbs.so.1(IBVERBS_1.1)(64bit) libpthread.so.0()(64bit) libpthread.so.0(GLIBC_2.2.5)(64bit) libpthread.so.0(GLIBC_2.3.2)(64bit) librdmacm.so.1()(64bit) librdmacm.so.1(RDMACM_1.0)(64bit) rtld(GNU_HASH)
Processing files: glusterfs-geo-replication-3git-1.fc18.x86_64
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
Provides: glusterfs-geo-replication = 3git-1.fc18 glusterfs-geo-replication(x86-64) = 3git-1.fc18
Requires(interp): /bin/sh
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires(post): /bin/sh
Requires: libc.so.6()(64bit) libc.so.6(GLIBC_2.14)(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3)(64bit) libcrypto.so.10()(64bit) libdl.so.2()(64bit) libglusterfs.so.0()(64bit) libpthread.so.0()(64bit) libpthread.so.0(GLIBC_2.2.5)(64bit) rtld(GNU_HASH)
Processing files: glusterfs-fuse-3git-1.fc18.x86_64
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
Provides: glusterfs-client = 3git-1.fc18 glusterfs-fuse = 3git-1.fc18 glusterfs-fuse(x86-64) = 3git-1.fc18
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: /bin/sh libc.so.6()(64bit) libc.so.6(GLIBC_2.14)(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3)(64bit) libcrypto.so.10()(64bit) libdl.so.2()(64bit) libpthread.so.0()(64bit) libpthread.so.0(GLIBC_2.2.5)(64bit) libpthread.so.0(GLIBC_2.3.2)(64bit) rtld(GNU_HASH)
Obsoletes: glusterfs-client < 3git-1.fc18
Processing files: glusterfs-server-3git-1.fc18.x86_64
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.lZOk89
+ umask 022
+ cd /home/jc/glusterfs/extras/LinuxRPM/rpmbuild/BUILD
+ cd glusterfs-3git
+ DOCDIR=/home/jc/glusterfs/extras/LinuxRPM/rpmbuild/BUILDROOT/glusterfs-3git-1.fc18.x86_64/usr/share/doc/glusterfs-server-3git
+ export DOCDIR
+ /usr/bin/mkdir -p /home/jc/glusterfs/extras/LinuxRPM/rpmbuild/BUILDROOT/glusterfs-3git-1.fc18.x86_64/usr/share/doc/glusterfs-server-3git
+ cp -pr extras/clear_xattrs.sh /home/jc/glusterfs/extras/LinuxRPM/rpmbuild/BUILDROOT/glusterfs-3git-1.fc18.x86_64/usr/share/doc/glusterfs-server-3git
+ exit 0
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
Provides: config(glusterfs-server) = 3git-1.fc18 glusterfs-server = 3git-1.fc18 glusterfs-server(x86-64) = 3git-1.fc18
Requires(interp): /bin/sh /bin/sh
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires(post): /bin/sh
Requires(preun): /bin/sh
Requires: /bin/bash libaio.so.1()(64bit) libaio.so.1(LIBAIO_0.1)(64bit) libaio.so.1(LIBAIO_0.4)(64bit) libc.so.6()(64bit) libc.so.6(GLIBC_2.14)(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3)(64bit) libc.so.6(GLIBC_2.3.2)(64bit) libc.so.6(GLIBC_2.3.3)(64bit) libc.so.6(GLIBC_2.4)(64bit) libcrypto.so.10()(64bit) libcrypto.so.10(libcrypto.so.10)(64bit) libdl.so.2()(64bit) libdl.so.2(GLIBC_2.2.5)(64bit) libgfrpc.so.0()(64bit) libgfxdr.so.0()(64bit) libglusterfs.so.0()(64bit) liblvm2app.so.2.2()(64bit) liblvm2app.so.2.2(Base)(64bit) libm.so.6()(64bit) libncurses.so.5()(64bit) libpthread.so.0()(64bit) libpthread.so.0(GLIBC_2.2.5)(64bit) libpthread.so.0(GLIBC_2.3.2)(64bit) libreadline.so.6()(64bit) librt.so.1()(64bit) librt.so.1(GLIBC_2.2.5)(64bit) libtinfo.so.5()(64bit) libxml2.so.2()(64bit) libxml2.so.2(LIBXML2_2.4.30)(64bit) libxml2.so.2(LIBXML2_2.6.0)(64bit) libxml2.so.2(LIBXML2_2.6.3)(64bit) libz.so.1()(64bit) rtld(GNU_HASH)
Processing files: glusterfs-resource-agents-3git-1.fc18.noarch
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
Provides: glusterfs-resource-agents = 3git-1.fc18
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: /bin/sh
Processing files: glusterfs-devel-3git-1.fc18.x86_64
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
warning: Ignoring invalid regex -P ^(?!lib).*.so.*$
Provides: glusterfs-devel = 3git-1.fc18 glusterfs-devel(x86-64) = 3git-1.fc18 pkgconfig(glusterfs-api) = 4
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: /usr/bin/pkg-config libgfapi.so.0()(64bit) libgfrpc.so.0()(64bit) libgfxdr.so.0()(64bit) libglusterfs.so.0()(64bit)
Checking for unpackaged file(s): /usr/lib/rpm/check-files /home/jc/glusterfs/extras/LinuxRPM/rpmbuild/BUILDROOT/glusterfs-3git-1.fc18.x86_64
Wrote: /home/jc/glusterfs/extras/LinuxRPM/rpmbuild/RPMS/x86_64/glusterfs-3git-1.fc18.x86_64.rpm
Wrote: /home/jc/glusterfs/extras/LinuxRPM/rpmbuild/RPMS/x86_64/glusterfs-rdma-3git-1.fc18.x86_64.rpm
Wrote: /home/jc/glusterfs/extras/LinuxRPM/rpmbuild/RPMS/x86_64/glusterfs-geo-replication-3git-1.fc18.x86_64.rpm
Wrote: /home/jc/glusterfs/extras/LinuxRPM/rpmbuild/RPMS/x86_64/glusterfs-fuse-3git-1.fc18.x86_64.rpm
Wrote: /home/jc/glusterfs/extras/LinuxRPM/rpmbuild/RPMS/x86_64/glusterfs-server-3git-1.fc18.x86_64.rpm
Wrote: /home/jc/glusterfs/extras/LinuxRPM/rpmbuild/RPMS/noarch/glusterfs-resource-agents-3git-1.fc18.noarch.rpm
Wrote: /home/jc/glusterfs/extras/LinuxRPM/rpmbuild/RPMS/x86_64/glusterfs-devel-3git-1.fc18.x86_64.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.oqyYWL
+ umask 022
+ cd /home/jc/glusterfs/extras/LinuxRPM/rpmbuild/BUILD
+ cd glusterfs-3git
+ /usr/bin/rm -rf /home/jc/glusterfs/extras/LinuxRPM/rpmbuild/BUILDROOT/glusterfs-3git-1.fc18.x86_64
+ exit 0
mv rpmbuild/RPMS/*/* .
rm -rf rpmbuild
$
****************************************************


Expected results:

  RPM generation to complete without these warnings.


Additional info:
Comment 1 Niels de Vos 2013-06-12 04:03:15 EDT
This warning is harmless, it even seems that filtering the Provides does not
require filtering the Requires too. The following patch removes the filter
rule completely, which has the same effect as being ignored in the current
state.
Comment 2 Anand Avati 2013-06-12 04:04:04 EDT
REVIEW: http://review.gluster.org/5203 (rpm: correct AutoRequires filtering on recent Fedora) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 3 Anand Avati 2013-06-13 19:29:47 EDT
COMMIT: http://review.gluster.org/5203 committed in master by Anand Avati (avati@redhat.com) 
------
commit 4ec4ae08c346c3e75c013bbf0529b3d7dd9a60c0
Author: Niels de Vos <ndevos@redhat.com>
Date:   Wed Jun 12 09:55:26 2013 +0200

    rpm: correct AutoRequires filtering on recent Fedora
    
    Recent Fedora releases (F17 and newer) do not need the
    __requires_exclude macro for filtering automatically generated Requires
    for <xlator>.so files anymore. It is already sufficient to filter each
    <xlator>.so from the Provides.
    
    This prevents the following (harmless) warning from being printed during
    build:
    
        Ignoring invalid regex -P ^(?!lib).*.so.*$
    
    BUG: 972465
    Change-Id: Icc36f421d283ddb993c8f31e0dfdaa4f27135bb7
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/5203
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.